Package: org.apache.groovy.groovysh.jline

## [Java] Class GroovyEngine.AccessRules

- org.apache.groovy.groovysh.jline.GroovyEngine.AccessRules

-     protected static class GroovyEngine.AccessRules
      extends Object

  Encapsulates access rules for code completion. Controls which members are visible during completion.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `allClasses` | Whether to include all classes (including non-public) in completion
    `protected boolean` | `allConstructors` | Whether to include all constructors (including non-public) in completion
    `protected boolean` | `allFields` | Whether to include all fields (including non-public) in completion
    `protected boolean` | `allMethods` | Whether to include all methods (including non-public) in completion

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AccessRules()` Constructs AccessRules with default values (all false).
    `AccessRules(Map<String, Object> options)` Constructs AccessRules from the given options map.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final boolean allClasses

      Whether to include all classes (including non-public) in completion

    - #### protected final boolean allConstructors

      Whether to include all constructors (including non-public) in completion

    - #### protected final boolean allFields

      Whether to include all fields (including non-public) in completion

    - #### protected final boolean allMethods

      Whether to include all methods (including non-public) in completion

  - ### Constructor Detail

    - #### public AccessRules()

      Constructs AccessRules with default values (all false).

    - #### public AccessRules(Map<String, Object> options)

      Constructs AccessRules from the given options map.

      Parameters:
        `options` - map of option keys to values